org.apache.ignite.internal.processors.cache.transactions

## Class IgniteTxHandler

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.transactions.IgniteTxHandler

    public class IgniteTxHandler
    extends Object

Isolated logic to process cache messages.

### Constructor Summary

Constructors
Constructor and Description
`IgniteTxHandler(GridCacheSharedContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `finish(GridDistributedTxRemoteAdapter tx, GridDhtTxPrepareRequest req)`
`IgniteInternalFuture<IgniteInternalTx>` `finish(UUID nodeId, GridNearTxLocal locTx, GridNearTxFinishRequest req)`
`protected void` `finish(UUID nodeId, IgniteTxRemoteEx tx, GridDhtTxFinishRequest req)`
`IgniteInternalFuture<IgniteInternalTx>` `finishColocatedLocal(boolean commit, GridNearTxLocal tx)`
`IgniteInternalFuture<GridNearTxPrepareResponse>` `prepareColocatedTx(GridNearTxLocal locTx, GridNearTxPrepareRequest req)` Prepares local colocated tx.
`IgniteInternalFuture<GridNearTxPrepareResponse>` `prepareNearTxLocal(GridNearTxPrepareRequest req)`
`protected void` `processCheckPreparedTxResponse(UUID nodeId, GridCacheTxRecoveryResponse res)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteTxHandler

    public IgniteTxHandler(GridCacheSharedContext ctx)

Parameters:
  `ctx` - Shared cache context.

### Method Detail

#### prepareColocatedTx

    public IgniteInternalFuture<GridNearTxPrepareResponse> prepareColocatedTx(GridNearTxLocal locTx,
                                                                              GridNearTxPrepareRequest req)

Prepares local colocated tx.

Parameters:
  `locTx` - Local transaction.
  `req` - Near prepare request.
Returns:
  Prepare future.

#### prepareNearTxLocal

    public IgniteInternalFuture<GridNearTxPrepareResponse> prepareNearTxLocal(GridNearTxPrepareRequest req)

Parameters:
  `req` - Request.
Returns:
  Prepare future.

#### finish

    @Nullable
    public IgniteInternalFuture<IgniteInternalTx> finish(UUID nodeId,
                                                                   @Nullable
                                                                   GridNearTxLocal locTx,
                                                                   GridNearTxFinishRequest req)

Parameters:
  `nodeId` - Node ID.
  `locTx` - Local transaction.
  `req` - Request.
Returns:
  Future.

#### finishColocatedLocal

    public IgniteInternalFuture<IgniteInternalTx> finishColocatedLocal(boolean commit,
                                                                       GridNearTxLocal tx)

Parameters:
  `commit` - Commit flag (rollback if `false`).
  `tx` - Transaction to commit.
Returns:
  Future.

#### finish

    protected void finish(UUID nodeId,
                          IgniteTxRemoteEx tx,
                          GridDhtTxFinishRequest req)

Parameters:
  `nodeId` - Node ID.
  `tx` - Transaction.
  `req` - Request.

#### finish

    protected void finish(GridDistributedTxRemoteAdapter tx,
                          GridDhtTxPrepareRequest req)
                   throws IgniteTxHeuristicCheckedException

Parameters:
  `tx` - Transaction.
  `req` - Request.
Throws:
  `IgniteTxHeuristicCheckedException`

#### processCheckPreparedTxResponse

    protected void processCheckPreparedTxResponse(UUID nodeId,
                                                  GridCacheTxRecoveryResponse res)

Parameters:
  `nodeId` - Node ID.
  `res` - Response.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018